// creator  : weidu.exe (version 23100)
// argument : _CAILAN.DLG
// game		 : .
// source	 : ./override/_CAILAN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_CAILAN~

IF ~Global("Baldurian","GLOBAL",1)
~ THEN BEGIN 0 // from:
  SAY #81883 /* ~Well that was unpleasant. I thank you for my freedom. I take it that I was petrified by the Basilisk? That mage was one wily customer. I hope the creature turned on him before he could dispel it. I am Cailan, and you are... ?~ */
  IF ~~ THEN REPLY #81884 /* ~I am your savior and I demand the Helm of Balduran! That is my price for rescuing you!~ */ GOTO 1
  IF ~~ THEN REPLY #81885 /* ~I am <CHARNAME>, and I have a request for you. I seek the Helm of Balduran, and was told it was in your possession.~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #81886 /* ~Indeed? Well, I cannot help you; I do not have that item. Perhaps one of my fellows carries such a thing, but I know not. If you rescue them as you did me I am sure you will find it, though I would soften your tone. Some of my companions take offence easily.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #81887 /* ~Hmm... I do not have such a thing in my possession, though one of my companions may. I cannot say for certain though, as I have not known them for long. Not counting the time spent petrified with them, of course.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 3 // from:
  SAY #81888 /* ~Well that was unpleasant. I thank you for my freedom. I take it that I was petrified by the Basilisk? That mage was one wily customer. I hope the creature turned on him before he could dispel it.  I must be on my way now, as I have many things to do.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
